Subject: Re: treesitter-regression with json-mode

From: Johann Höchtl <[email-masked]>
Date: Wed, 2 Nov 2022 17:48:24 +0100

Sorry, disregard, behavior is caused by plugin highlight-indent-guides

Am Mi., 2. Nov. 2022 um 17:16 Uhr schrieb Johann Höchtl <
[email-masked]>:

> When I open a large json file (about 3_000_000 lines, about 72Mb,
> pretty-printed) Emacs 29.0.50 opens the file just fine in `js-json-mode`
> and when using regexp-based font locking, it works well.
>
> When I force this buffer into javascript-mode, Emacs hangs. Memory
> consumption as reported by Windows task manager "dances" around 2Gb, yet
> even after waiting for three minutes, Emacs doesn't get responsive any more.
>
> I consider this an unfortunately regression as recent commits to Emacs 29
> (long lines patches) actually makes working with such large files with long
> lines absolutely pleasant, yet as it seems the interaction with tree-sitter
> destroys this gains.
>